View Issue Details

IDProjectCategoryView StatusLast Update
0002267SOGoBackend Mailpublic2014-04-03 11:37
Reportermgalle Assigned Toacloutier 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Fixed in Version2.2.3 
Summary0002267: Wrong UTF-8-coding of From in the header when comma is used
Description

for example

If the Display Name (from an ldap directory) is "THOMAS, Rénald", Sogo put it in the From:

=?utf-8?q?THOMAS@sogo.devinci.fr, "_R=C3=A9nald?=" <renald.thomas@devinci.fr>

Of course it's not correct.

Mozilla Thunderbird, Outlook, Apple Mail, Android Mail, Ios Mail display the raw header which is incorrect.

TagsNo tags attached.

Relationships

related to 0002120 resolvedacloutier SOGo webmail puts utf-8 characters in from field when accent is present 

Activities

stephan

stephan

2013-09-23 16:41

reporter   ~0006027

I have the same problem here. The combination of accents/umlauts and commas is encoded wrongly in SOGo.

a)
The display name "Max Müller" must be (and is)
from: =?utf-8?q?Max_M=C3=BCller?= <emailaddress>

b)
The display name "Mueller, Max" must be (and is)
from: "Mueller, Max" <emailaddress>

c)
The display name "Müller, Max" must be (and is NOT)
From: =?ISO-8859-15?Q?=22M=FCller=2C_Max=22?= <emailaddress>
(copied from thunderbird)
As you can see, the comma and the quotation marks are encoded too.

Instead SOGo does it the wrong way
from: =?utf-8?q?M=C3=BCller,_Max?= <emailaddress>

This is the same bug as 0002120.

ludovic

ludovic

2014-03-28 15:58

administrator   ~0006806

Please try the upcoming nightly builds.

Issue History

Date Modified Username Field Change
2013-03-13 06:46 mgalle New Issue
2013-09-23 16:41 stephan Note Added: 0006027
2013-12-06 09:30 jraby Relationship added related to 0002120
2014-03-10 15:13 acloutier Assigned To => acloutier
2014-03-10 15:13 acloutier Status new => assigned
2014-03-28 15:58 ludovic Note Added: 0006806
2014-04-03 11:37 ludovic Status assigned => resolved
2014-04-03 11:37 ludovic Fixed in Version => 2.2.3
2014-04-03 11:37 ludovic Resolution open => fixed